diff -r 0430fdeb9cd1 oauth-v2-multiple-response-types-1_0.xml
--- a/oauth-v2-multiple-response-types-1_0.xml	Fri Oct 14 17:35:00 2011 -0700
+++ b/oauth-v2-multiple-response-types-1_0.xml	Tue Oct 18 10:56:58 2011 +0200
@@ -205,10 +205,10 @@
           <figure>
 <artwork><![CDATA[HTTP/1.1 302 Found
 Location: https://client.example.com/#
-access_token=SlAV32hkKG&
-token_type=bearer&
-id_token=1234567.SlAV32hkKG.abcde1234&
-expires_in=3600&
+access_token=SlAV32hkKG
+&token_type=bearer
+&id_token=1234567.SlAV32hkKG.abcde1234
+&expires_in=3600
 &state=af0ifjsldkj]]></artwork>
           </figure>
     </t>
diff -r 0430fdeb9cd1 openid-connect-basic-1_0.xml
--- a/openid-connect-basic-1_0.xml	Fri Oct 14 17:35:00 2011 -0700
+++ b/openid-connect-basic-1_0.xml	Tue Oct 18 10:56:58 2011 +0200
@@ -202,17 +202,17 @@
         <t>The implicit flow consists of the following steps:</t>
 
         <t><list style="numbers">
-            <t>Client Prepares an Authorization Request containing the desired
+            <t>Client prepares an Authorization Request containing the desired
             request parameters.</t>
 
             <t>Client sends a request to the Authorization Server.</t>
 
-            <t>Authorization Server Authenticates the End-User.</t>
+            <t>Authorization Server authenticates the End-User.</t>
 
-            <t>Authorization Server Obtains the End-User
+            <t>Authorization Server obtains the End-User
             Consent/Authorization.</t>
 
-            <t>Authorization Server Sends the End-User back to the Client with
+            <t>Authorization Server sends the End-User back to the Client with
             an Access Token and ID Token.</t>
           </list></t>
 
@@ -220,7 +220,7 @@
                  title="Client Prepares an Authorization Request">
           <t>When the user wishes to access a Protected Resource, and the
           End-User Authorization has not yet been obtained, the Client
-          prepares an Authorization Request to the authorization endpoint.</t>
+          prepares an Authorization Request to the Authorization Endpoint.</t>
 
           <t>The scheme used in the Authorization Endpoint URL MUST be HTTPS.</t>
 
@@ -254,7 +254,7 @@
           following:</t>
 
           <t><list style="hanging">
-              <t hangText="client_id">The OAuth client identifier.</t>
+              <t hangText="client_id">The OAuth Client Identifier.</t>
 
               <t hangText="scope">It MUST include <spanx style="verb">openid</spanx>
               as one of the space separated strings. Optional scope strings of
@@ -327,7 +327,7 @@
         </section>
 
         <section anchor="implicit_req"
-                 title="Client Sends a Request to the Authorization Server">
+                 title="Client sends a request to the Authorization Server">
           <t>Having constructed the Authorization Request, the client sends it
           to the Authorization Endpoint. This MAY happen via HTTPS redirect, 
           hyperlinking, or any other secure means of directing the User-Agent 
@@ -413,10 +413,10 @@
 
               <artwork><![CDATA[HTTP/1.1 302 Found
 Location: https://client.example.com/#
-access_token=SlAV32hkKG&
-token_type=bearer&
-id_token=1234567.SlAV32hkKG.abcde1234&
-expires_in=3600&
+access_token=SlAV32hkKG
+&token_type=bearer
+&id_token=1234567.SlAV32hkKG.abcde1234
+&expires_in=3600
 &state=af0ifjsldkj]]></artwork>
             </figure>
           </section>
@@ -554,8 +554,8 @@
 
 {
 "iss": "http://server.example.com",
-"user_id": "Jane Doe",
-"aud": "http://client.example.net",
+"user_id": "AItOawmwtWwcT0k51BayewNvutrJUqsvl6qs7A4",
+"aud": "http://client.example.com",
 "exp":1311281970
 }
 ]]></artwork>
diff -r 0430fdeb9cd1 openid-connect-discovery-1_0.xml
--- a/openid-connect-discovery-1_0.xml	Fri Oct 14 17:35:00 2011 -0700
+++ b/openid-connect-discovery-1_0.xml	Tue Oct 18 10:56:58 2011 +0200
@@ -250,7 +250,7 @@
 Content-Type: application/json
 
 {
- "locations":["https://example.com/auth"]
+ "locations":["https://server.example.com"]
 }]]></artwork>
             </figure></t>
         </section>
@@ -289,7 +289,7 @@
 Content-Type: application/json
 
 {
- "locations":["https://example.com"]
+ "locations":["https://server.example.com"]
 }]]></artwork>
             </figure></t>
         </section>
@@ -328,7 +328,7 @@
 Content-Type: application/json
 
 {
- "locations":["https://example.com"]
+ "locations":["https://server.example.com"]
 }]]></artwork>
             </figure></t>
         </section>
@@ -367,7 +367,7 @@
 Content-Type: application/json
 
 {
- "locations":["https://example.com"]
+ "locations":["https://server.example.com"]
 }]]></artwork>
             </figure></t>
         </section>
@@ -416,7 +416,7 @@
 Content-Type: application/json
 
 {
- "locations":["https://example.net/auth"]
+ "locations":["https://server.example.com"]
 }]]></artwork>
           </figure></t>
       </section>
@@ -493,8 +493,8 @@
 
           <c>string</c>
 
-          <c>The https: URL with no path component the OP asserts as <spanx
-          style="verb">its issuer identifier</spanx></c>
+          <c>The https: URL with no path component the OP asserts as its
+          issuer identifier</c>
 
           <c>authorization_endpoint</c>
 
@@ -593,15 +593,15 @@
 
         <t><figure>
             <artwork><![CDATA[{
- "authorization_endpoint": "https://example.com/connect/authorize",
- "issuer" : "https://example.com",
- "token_endpoint": "https://example.com/connect/token"
- "user_info_endpoint": "https://example.com/connect/user",
- "check_id_endpoint": "https://example.com/connect/check_id",
- "refresh_session_endpoint": "https://example.com/connect/refresh_session",
- "end_session_endpoint": "https://example.com/connect/end_session",
- "jwk_document": "https://example.com/jwk.json",
- "registration_endpoint": "https://example.com/connect/register",
+ "authorization_endpoint": "https://server.example.com/connect/authorize",
+ "issuer" : "https://server.example.com",
+ "token_endpoint": "https://server.example.com/connect/token"
+ "user_info_endpoint": "https://server.example.com/connect/user",
+ "check_id_endpoint": "https://server.example.com/connect/check_id",
+ "refresh_session_endpoint": "https://server.example.com/connect/refresh_session",
+ "end_session_endpoint": "https://server.example.com/connect/end_session",
+ "jwk_url": "https://server.example.com/jwk.json",
+ "registration_endpoint": "https://server.example.com/connect/register",
  "scopes_supported": ["openid"],
  "flows_supported": ["code", "token"],
  "iso29115_supported": ["http://www.idmanagement.gov/schema/2009/05/icam/openid-trust-level1.pdf"],
diff -r 0430fdeb9cd1 openid-connect-messages-1_0.xml
--- a/openid-connect-messages-1_0.xml	Fri Oct 14 17:35:00 2011 -0700
+++ b/openid-connect-messages-1_0.xml	Tue Oct 18 10:56:58 2011 +0200
@@ -484,7 +484,8 @@
  "client_id": "s6BhdRkqt3",
  "redirect_uri": "https://client.example.com/cb",
  "scope": "openid profile",
- "state": "af0ifjsldkj", "userinfo":
+ "state": "af0ifjsldkj",
+ "userinfo":
    {
      "claims":
        {
@@ -492,16 +493,16 @@
          "nickname": {"optional": true},
          "email": null,
          "verified": null,
-         "picture": {"optional": true},
-       }
+         "picture": {"optional": true}
+       },
      "format": "signed"
-   }
+   },
  "id_token":
    {
      "claims":
        {
         "auth_time": null
-       }
+       },
      "max_age": 86400,
      "iso29115": "2"
    }
@@ -788,12 +789,12 @@
             <preamble>Following is a non-normative example:</preamble>
 
             <artwork><![CDATA[{
-            "access_token": "SlAV32hkKG",
-            "token_type": "Bearer",
-            "refresh_token": "8xLOxBtZp8",
-            "expires_in": 3600,
-            "id_token": "eyJ0 ... NiJ9.eyJ1c ... I6IjIifX0.DeWt4Qu ... ZXso"
-            }]]></artwork>
+ "access_token": "SlAV32hkKG",
+ "token_type": "Bearer",
+ "refresh_token": "8xLOxBtZp8",
+ "expires_in": 3600,
+ "id_token": "eyJ0 ... NiJ9.eyJ1c ... I6IjIifX0.DeWt4Qu ... ZXso"
+}]]></artwork>
           </figure>
 
           <t>As in the <xref target="OAuth.2.0">OAuth 2.0</xref>, Clients
@@ -1057,12 +1058,12 @@
 
           <t><figure>
             <artwork><![CDATA[{
-            "name": "Jane Doe"
-            "given_name": "Jane",
-            "family_name": "Doe",
-            "email": "janedoe@example.com",
-            "picture": "http://example.com/janedoe/me.jpg"
-            }]]></artwork>
+ "name": "Jane Doe"
+ "given_name": "Jane",
+ "family_name": "Doe",
+ "email": "janedoe@example.com",
+ "picture": "http://example.com/janedoe/me.jpg"
+}]]></artwork>
           </figure></t>
         </section>
 
@@ -1105,12 +1106,12 @@
 
             <figure>
               <artwork><![CDATA[{
-              "name": "Jane Doe"
-              "given_name": "Jane",
-              "family_name": "Doe",
-              "email": "janedoe@example.com",
-              "picture": "http://example.com/janedoe/me.jpg"
-              }]]></artwork>
+ "name": "Jane Doe"
+ "given_name": "Jane",
+ "family_name": "Doe",
+ "email": "janedoe@example.com",
+ "picture": "http://example.com/janedoe/me.jpg"
+}]]></artwork>
             </figure>
 
             <t></t>
@@ -1174,38 +1175,36 @@
             claims:</t>
 
             <t><figure>
-              <artwork><![CDATA[Claims Provider A contains the following claims for Jane Doe :
-
-              {
-              "address": "1234 Hollywood Blvd., Los Angeles, CA 90210",
-              "phone_number": "+1 (310) 123-4567"
-              }
-
-
-              Claims Provider A signs the JSON claims, resulting in a signed JWT:
-
-              jwt_header.jwt_part2.jwt_part3
-
-
-              Authorization Server returns Jane Doe's aggregated claims from Claims Provider A : 
-
-              {
-              "name": "Jane Doe",
-              "given_name": "Jane",
-              "family_name": "Doe",
-              "birthday": "01/01/2001",
-              "eye_color": "blue",
-              "email": "janedoe@example.com",
-              "_claim_names": {
-              "address": "src1",
-              "phone_number": "src1",
-              },
-              "_claim_sources": {
-              "src1": {"JWT": "jwt_header.jwt_part2.jwt_part3"},
-              }
-              }
-
-              ]]></artwork>
+              <artwork><![CDATA[
+Claims Provider A contains the following claims for Jane Doe:
+{
+ "address": "1234 Hollywood Blvd., Los Angeles, CA 90210",
+ "phone_number": "+1 (310) 123-4567"
+}
+
+
+Claims Provider A signs the JSON claims, resulting in a signed JWT:
+jwt_header.jwt_part2.jwt_part3
+
+
+Authorization Server returns Jane Doe's aggregated claims from Claims Provider A : 
+{
+ "name": "Jane Doe",
+ "given_name": "Jane",
+ "family_name": "Doe",
+ "birthday": "01/01/2001",
+ "eye_color": "blue",
+ "email": "janedoe@example.com",
+ "_claim_names": {
+  "address": "src1",
+  "phone_number": "src1"
+ },
+ "_claim_sources": {
+  "src1": {"JWT": "jwt_header.jwt_part2.jwt_part3"}
+ }
+}
+
+]]></artwork>
             </figure></t>
 
             <t>The following is a non-normative response with distributed
@@ -1213,46 +1212,42 @@
 
             <t><figure>
               <artwork><![CDATA[
-              Claims Provider A (Jane Doe's Bank) contains the following claims for Jane Doe :
-
-              {
-              "shipping_address": "1234 Hollywood Blvd., Los Angeles, CA 90210",
-              "payment_info": "Some_Card 1234 5678 90123 4562"
-              "phone_number": "+1 (310) 123-4567"
-              }
-
-
-              A Claims Provider B (Credit Agency) contains the following claims for Jane Doe :
-
-              {
-              "credit_score": "650"
-              }
-
-
-              Authorization Server returns Jane Doe's claims along with the distributed claims from
-              Claims Provider A and B by sending the access tokens and URL locations where the claims
-              may be retrieved.
-
-              {
-              "name": "Jane Doe",
-              "given_name": "Jane",
-              "family_name": "Doe",
-              "email": "janedoe@example.com",
-              "birthday": "01/01/2001",
-              "eye_color": "blue",
-              "_claim_names": {
-              "payment_info": "src1",
-              "shipping_address": "src1",
-              "credit_score": "src2"
-              },
-              "_claim_sources": {
-              "src1": {"endpoint": "https://bank.example.com/claimsource"},
-              "src2": {"endpoint": "https://creditagency.example.com/claimshere", "access_token": "ksj3n283dke"}
-              }
-              }
-
-
-              ]]></artwork>
+Claims Provider A (Jane Doe's Bank) contains the following claims for Jane Doe:
+{
+ "shipping_address": "1234 Hollywood Blvd., Los Angeles, CA 90210",
+ "payment_info": "Some_Card 1234 5678 90123 4562",
+ "phone_number": "+1 (310) 123-4567"
+}
+
+
+A Claims Provider B (Credit Agency) contains the following claims for Jane Doe:
+{
+ "credit_score": "650"
+}
+
+
+Authorization Server returns Jane Doe's claims along with the distributed claims from
+Claims Provider A and B by sending the access tokens and URL locations where the claims
+may be retrieved:
+{
+ "name": "Jane Doe",
+ "given_name": "Jane",
+ "family_name": "Doe",
+ "email": "janedoe@example.com",
+ "birthday": "01/01/2001",
+ "eye_color": "blue",
+ "_claim_names": {
+  "payment_info": "src1",
+  "shipping_address": "src1",
+  "credit_score": "src2"
+ },
+ "_claim_sources": {
+  "src1": {"endpoint": "https://bank.example.com/claimsource"},
+  "src2": {"endpoint": "https://creditagency.example.com/claimshere", "access_token": "ksj3n283dke"}
+ }
+}
+
+]]></artwork>
             </figure></t>
           </section>
         </section>
@@ -1320,23 +1315,23 @@
             the Check ID endpoint:</preamble>
 
             <artwork><![CDATA[
-            POST /id_token HTTP/1.1
-            Host: server.example.com
-            Content-Type: application/x-www-form-encoded
-
-            id_token=eyJ0eXAiOiJKV1QiL
-
-
-            HTTP/1.1 200 OK
-            Content-Type: application/json
-
-            {
-            "iss": "http://server.example.com",
-            "user_id": "248289761001",
-            "aud": "http://client.example.com",
-            "exp": 1311281970
-            }
-            ]]></artwork>
+POST /id_token HTTP/1.1
+Host: server.example.com
+Content-Type: application/x-www-form-encoded
+
+id_token=eyJ0eXAiOiJKV1QiL
+
+
+HTTP/1.1 200 OK
+Content-Type: application/json
+
+{
+ "iss": "http://server.example.com",
+ "user_id": "248289761001",
+ "aud": "http://client.example.com",
+ "exp": 1311281970
+}
+]]></artwork>
           </figure>
         </section>
 
@@ -1396,9 +1391,9 @@
           serialization:</preamble>
 
           <artwork><![CDATA[{
-  "access_token":"SlAV32hkKG",
-  "expires_in":3600,
-  "refresh_token":"8xLOxBtZp8"
+ "access_token":"SlAV32hkKG",
+ "expires_in":3600,
+ "refresh_token":"8xLOxBtZp8"
 }]]></artwork>
         </figure>
       </section>
diff -r 0430fdeb9cd1 openid-connect-registration-1_0.xml
--- a/openid-connect-registration-1_0.xml	Fri Oct 14 17:35:00 2011 -0700
+++ b/openid-connect-registration-1_0.xml	Tue Oct 18 10:56:58 2011 +0200
@@ -146,7 +146,11 @@
             <t hangText="sector_identifier">OPTIONAL URL to be used in
             calculating Pseudonymous Identifiers by the OP. The URL contains a
             file with an array of redirect_uri values.</t>
-          </list><figure>
+          </list></t>
+          
+          <t>Following is a non-normative example request:</t>
+          
+          <t><figure>
             <artwork><![CDATA[POST /connect/register HTTP/1.1
 Accept: application/x-www-form-urlencoded
 Host: server.example.com
@@ -174,18 +178,18 @@
             does not expire.</t>
           </list></t>
 
-        <t>The following is an example response.</t>
+        <t>Following is a non-normative example response:</t>
 
         <t><figure>
             <artwork><![CDATA[HTTP/1.1 200 OK
 Content-Type: application/json
 Cache-Control: no-store
 
-     {
-       "client_id":"SlAV32hkKG",
-       "client_secret":"cf136dc3c1fd9153029bb9c6cc9ecead918bad9887fce6c93f31185e5885805d",
-       "expires_in":3600
-     }]]></artwork>
+{
+ "client_id":"SlAV32hkKG",
+ "client_secret":"cf136dc3c1fd9153029bb9c6cc9ecead918bad9887fce6c93f31185e5885805d",
+ "expires_in":3600
+}]]></artwork>
           </figure></t>
       </section>
     </section>
diff -r 0430fdeb9cd1 openid-connect-standard-1_0.xml
--- a/openid-connect-standard-1_0.xml	Fri Oct 14 17:35:00 2011 -0700
+++ b/openid-connect-standard-1_0.xml	Tue Oct 18 10:56:58 2011 +0200
@@ -128,7 +128,7 @@
       accesses a Relying Party client application which requires
       the End-User's identity and other information, it sends the End-User to
       the Authorization Server's Authorization Endpoint for authentication and
-      authorization. The Authorization Sever then issues an ID Token which
+      authorization. The Authorization Server then issues an ID Token which
       asserts the End-User's identity and an Access Token which allows the
       client to access the End-User's information at protected resource
       endpoints. Protected resource endpoints MAY perform different actions or
@@ -473,7 +473,7 @@
           UserInfo and ID Token claims. The request parameter method also
           allows requests and responses to be signed or encrypted. </t>
 
-          <t>The Request Rile Method works similar to the Request Parameter
+          <t>The Request File Method works similar to the Request Parameter
           Method but differs in that it sends an URL as a reference to the
           OpenID Request Object. It enables large requests to be sent
           securely and compactly even on browsers with limited capabilities.
@@ -572,8 +572,8 @@
  "client_id": "s6BhdRkqt3",
  "redirect_uri": "https://client.example.com/cb",
  "scope": "openid profile",
- "state": "n-0S6_WzA2Mj",
- "nonce": "af0ifjsldkj",
+ "state": "af0ifjsldkj",
+ "nonce": "n-0S6_WzA2Mj",
  "userinfo":
    {
      "claims":
@@ -582,10 +582,10 @@
          "nickname": {"optional": true},
          "email": null,
          "verified": null,
-         "picture": {"optional": true},
+         "picture": {"optional": true}
        },
      "format": "signed"
-   }
+   },
  "id_token":
    {
      "max_age": 86400,
@@ -1027,8 +1027,6 @@
       sensitive information MUST include the following HTTP response header
       fields and values:</t>
 
-      <t></t>
-
       <texttable title="HTTP Response Headers and Values">
         <ttcol>Header Name</ttcol>
 
@@ -1043,8 +1041,6 @@
         <c>no-cache</c>
       </texttable>
 
-      <t></t>
-
       <section title="Requesting an Access Token">
         <t>To retrieve an access token, a client MUST have an Authorization
         Code obtained via the method as described in <xref
@@ -1228,7 +1224,7 @@
 Pragma: no-cache
 
 {
-  "error":"invalid_request"
+  "error": "invalid_request"
 }]]></artwork>
             </figure>
           </section>
@@ -1411,7 +1407,8 @@
 Host: server.example.com
 Content-Type: application/x-www-form-urlencoded
 
-access_token=SlAV32hkKG]]></artwork>
+access_token=SlAV32hkKG
+&schema=openid]]></artwork>
         </figure>
       </section>
 
@@ -1456,7 +1453,7 @@
 Content-Type: application/json
 
 {
-  "error":"invalid_request"
+  "error": "invalid_request"
 }
 ]]></artwork>
             </figure></t>
